Skip to main content
GET
/
projects
/
{projectIdOrName}
/
api-keys
/
{apiKey}
Get an API key
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/api-keys/{apiKey} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/api-keys/{apiKey}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/api-keys/{apiKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "key": "api-key-123",
  "label": "MailMonkey API Key",
  "scopes": [
    [
      "full",
      "frontend"
    ]
  ],
  "projectId": "my-project",
  "active": true
}
{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

apiKey
string
required

API key to access Ampersand APIs.

Response

API key

key
string
required

The API key.

Example:

"api-key-123"

label
string
required

A short name for the API key.

Example:

"MailMonkey API Key"

scopes
string[]
required

The scopes for the API key.

projectId
string
required

The project ID.

Example:

"my-project"

active
boolean

Whether the API key is active.

Example:

true